Bug 1505342 - TeXLive 2017
Summary: TeXLive 2017
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: texlive
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1568308
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-23 11:18 UTC by Than Ngo
Modified: 2018-05-28 15:24 UTC (History)
12 users (show)

Fixed In Version: texlive-2016-44.20160520.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-28 15:24:27 UTC


Attachments (Terms of Use)

Description Than Ngo 2017-10-23 11:18:10 UTC
Update Fedora TeXLive packaging to 2017.

Comment 1 Alick Zhao 2017-11-28 22:25:21 UTC
Any plan/update and anything we can help?

Comment 2 Tom "spot" Callaway 2017-11-30 21:19:43 UTC
Current plan is to split texlive into two packages:

* texlive-base (which contains the core source tree for texlive and all of the architecture specific components)
* texlive (which contains all of the other noarch CTAN components)

texlive-base is 99% done, you can test it from my copr here:
https://copr.fedorainfracloud.org/coprs/spot/texlive/

I am in the process of making a new script to generate the "texlive" package. Working on it as I have spare time. That work is here:
https://github.com/spotrh/texlive-fedora

Comment 3 Fedora End Of Life 2018-02-20 15:30:38 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 4 Tom "spot" Callaway 2018-05-04 20:29:09 UTC
So, the good news: Rawhide now has TL2018.

The bad news: Because of bug 1568308, you cannot upgrade to it cleanly. :/

Comment 5 Fedora Update System 2018-05-22 14:18:11 UTC
texlive-2016-44.20160520.fc28 texlive-base-20170520-29.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-694af37c58

Comment 6 Tom "spot" Callaway 2018-05-22 14:20:37 UTC
I was able to work around 1568308 by using %posttrans scriptlets to clean up the mess, so this is going into Fedora 28. Please, please, test.

Comment 7 Fedora Update System 2018-05-23 17:37:06 UTC
texlive-2016-44.20160520.fc28, texlive-base-20170520-29.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-694af37c58

Comment 8 Fedora Update System 2018-05-24 14:17:44 UTC
emacs-auctex-12.1-4.fc28 texlive-2016-44.20160520.fc28 texlive-base-20170520-29.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-694af37c58

Comment 9 Fedora Update System 2018-05-25 18:41:35 UTC
emacs-auctex-12.1-4.fc28, texlive-2016-44.20160520.fc28, texlive-base-20170520-29.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-694af37c58

Comment 10 Fedora Update System 2018-05-28 15:24:27 UTC
emacs-auctex-12.1-4.fc28, texlive-2016-44.20160520.fc28, texlive-base-20170520-29.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.